## openscap 1.3.5+dfsg

=== debian/changelog ===
openscap (1.3.5+dfsg-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 15 Jul 2022 11:25:21 +0200

openscap (1.3.5+dfsg-2) experimental; urgency=medium

  * Disable entire testsuite
    This also removes 012-Disable-some-tests.patch and build-dependencies
    libxml-parser-perl and libxml-xpath-perl.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 13 Jul 2022 19:14:27 +0200

openscap (1.3.5+dfsg-1) experimental; urgency=medium

  * New maintainer Closes: #1012868
  * Repack source, remove yaml-filter and javascript files.
    We also delete the related lintian-overrrides and
    d/missing-sources directory.
  * d/rules:
    - Reformat CMake options. Closes: #1000279
    - Build Python 3 library for all supported versions.
    - Default build without verbose logging.
  * d/control:
    - Drop obsolete X-Python3-Version field.
    - Update Standards-Version to 4.6.1
    - Document Rules-Requires-Root.
    - Add missing Break/Replace on openscap-common. Closes: #1001075
    - Move package into Vcs repository.
    - Remove ${python3-Depends} and libjs-jquery as dependencies for
      libopenscap-dev, not needed.
    - Remove libcurl-dev as build dependency, doesn't exist.
  * Don't build documentation. We want this in a separate package.
  * d/copyright:
    - Convert to machine-readable format.
    - Add myself under debian/* section.
  * Patches:
    - Drop 001_fix_kfreebsd_probe.patch, this is a 'linux-any' package.
    - Add 012-Disable-some-tests.patch, disabled some test, the remaining
      is kept for regression.
  * Install upstream changelog in all binary packages.
  * Set upstream metadata fields: Repository and Repository-Browse.
  * Run wrap-and-sort -at
  * Add symbols file.
  * Add the missing changelog entry for version 1.2.17-0.1
  * d/gbp.conf: Add pristine-tar, remove branch and tag entries, using
    default values.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 06 Jul 2022 07:35:05 +0200

openscap (1.3.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.3.5

  * Package structure changes
    - Apply soname change (libopenscap8 -> 25) (Closes: #990183)
    - Split libopenscap25 to openscap-scanner, openscap-utils and
      openscap-common
    - Drop -dbg package and unnecessary lintian-overrides
    - Drop unnecessary dependency on dh-autoreconf.
  * debian/control
    - Specify https for upstream URL
    - Use debhelper-compat (= 13) to not forget to install necessary files
      with dh_missing
    - Add missing dependencies: libacl1-dev, libblkid-dev, libglib2.0-dev,
      libyaml-dev, librpm-dev, libpopt-dev, libprocps-dev, libopendbx1-dev,
      libxmlsec1-dev, doxygen, graphviz, asciidoc,
  * Drop unnecessary debian/compat
  * debian/rules
    - Enable documentation build
    - Enable hardening
  * Add openscap-common.docs to install HTML docs
  * debian/openscap-scanner.install
    - Install bash-completion
  * openscap-utils.install
    - Install autotailor and scap-as-rpm
  * Add debian/openscap-{scanner,utils}.manpages
  * debian/watch
    - Update watch file format version to 4.
  * debian/patches
    - Drop unused patches
    - Refresh patches
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Hideki Yamane <henrich@debian.org>  Fri, 06 Aug 2021 16:02:20 +0900
