=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openscap-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://github.com/OpenSCAP/openscap/tags .*/v?(\d\S*)\.tar\.gz
