=== tests/probes/shadow/CMakeLists.txt ===
if(ENABLE_PROBES_UNIX)
	add_oscap_test("test_probes_shadow.sh")
endif()
