=== tests/API/CPE/lang/CMakeLists.txt ===
add_oscap_test_executable(test_api_cpe_lang "test_api_cpe_lang.c")
add_oscap_test("test_api_cpe_lang.sh")
