=== debian/changelog ===
openscap (1.3.7+dfsg-1+deb12u1) bookworm; urgency=medium

  * Update dependencies for openscap-utils and python3-openscap
    Closes: #1040936

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 20 Jul 2023 19:50:10 +0200

openscap (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream:
    - create-diagrams-when-generating-Doxygen-documen.patch
    - create-Doxygen-diagrams-as-svg.patch
    - update-whatis-entry.patch
    and removed patches cherry picked from upstream:
    - remove-superfluous-strdup.patch
    - add-missing-free.patch
    - OVAL-SEAP-Allocate-aligned-memory-in-SEXP_rawval_lblk_new.patch
    - use-correct-includes.patch
  * Use newly created CMake flag to disable installation of oscap remediation
    files, this also removes lines manually deleting files in d/rules.
  * Add new symbol in d/libopenscap25.symbols.
  * openscap-scanner: Move openscap-common from recommends to depends.
  * Skip tests when building for 'all'.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 27 Jan 2023 23:41:17 +0100

openscap (1.3.6+dfsg-6) unstable; urgency=medium

  * Cherry-pick use-correct-includes.patch from upstream. Fixes build
    with RPM >= 4.18.
  * Update to Standards-Version 4.6.2, no changes needed.
  * Add the year 2023 to my debian/* copyright notice.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 10 Jan 2023 13:57:56 +0100

openscap (1.3.6+dfsg-5) unstable; urgency=medium

  * Remove libprocps-dev as BD. Closes: #1024224
  * Move BD related to documentation to BD-Indep

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 08 Dec 2022 22:01:54 +0100

openscap (1.3.6+dfsg-4) unstable; urgency=medium

  * Delete files generated if systemd is found.
    Thanks to Rene Engelhard for the suggestion (Closes: #1023041)
  * Tag BD used only for tests with <!nocheck>

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 03 Nov 2022 21:24:45 +0100

openscap (1.3.6+dfsg-3) unstable; urgency=medium

  * Depend on source, not binary version for arch all package.
  * Remove old and unneeded break/conflict.
  * Update d/watch to reflect changes toward GitHub.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 30 Oct 2022 00:16:20 +0200

openscap (1.3.6+dfsg-2) unstable; urgency=medium

  * Add OVAL-SEAP-Allocate-aligned-memory-in-SEXP_rawval_lblk_new.patch from
    upstream. Closes: #1015205
  * Add run-a-minor-testsuite.patch and start running some tests again.
    - Add libxml-parser-perl and libxml-xpath-perl as build dependencies.
  * Change -DCMAKE_SKIP_BUILD_RPATH=TRUE -> -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
  * Don't install Doxygen files *.map and *.md5.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 30 Jul 2022 11:26:47 +0200

openscap (1.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Rebase 010_perlpm_install_fix.patch and add DEP-3 compliant header.
    - Drop 011_remove_custom_rpath.patch, no longer needed.
    - Add update-whatis-entry.patch
    - Add create-diagrams-when-generating-Doxygen-documen.patch
    - Add create-Doxygen-diagrams-as-svg.patch
    - Add add-missing-free.patch
    - Add remove-superfluous-strdup.patch
  * d/control:
    - Apply Multi-Arch: foreign, to openscap-common.
    - Add missing space in short package description.
  * Drop d/dirs, not needed.
  * Change downloaded release tarball, this includes yaml-filter
  * Build documentation and place it in a new binary package.
  * Use the CMake RPATH option, this also removes chrpath as BD.
  * Update d/libopenscap25.symbols
  * d/copyright:
    - Include yaml-filter in source package.
    - Bump copyright year in main paragraph.
    - Include new file paragraphs.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 20 Jul 2022 12:04:48 +0200
