=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
-Build-Depends: chrpath,
-               cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-python,
                libacl1-dev,
@@ -21,9 +20,10 @@
                libpcre3-dev,
                libperl-dev,
                libpopt-dev,
-               libprocps-dev,
                librpm-dev,
                libselinux1-dev [linux-any],
+               libxml-parser-perl <!nocheck>,
+               libxml-xpath-perl <!nocheck>,
                libxml2-dev,
                libxmlsec1-dev,
                libxslt1-dev,
@@ -31,7 +31,10 @@
                pkg-config,
                python3-all-dev,
                swig,
-Standards-Version: 4.6.1
+Build-Depends-Indep: asciidoc,
+                     doxygen,
+                     graphviz,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/
 Vcs-Browser: https://salsa.debian.org/debian/openscap
@@ -42,7 +45,8 @@
 Architecture: linux-any
 Depends: libopenscap25 (= ${binary:Version}),
          ${misc:Depends},
-Description: libraries enabling integration of the SCAP line of standards- Development files
+Suggests: openscap-doc,
+Description: libraries enabling integration of the SCAP line of standards - Development files
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
  standards managed by NIST with the goal of providing a standard language
@@ -62,14 +66,8 @@
 Package: libopenscap25
 Section: libs
 Architecture: linux-any
-Conflicts: libopenscap0,
-           libopenscap1,
-           libopenscap3,
-           libopenscap8,
-Replaces: libopenscap0,
-          libopenscap1,
-          libopenscap3,
-          libopenscap8,
+Conflicts: libopenscap8,
+Replaces: libopenscap8,
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -94,9 +92,11 @@
 Section: python
 Architecture: linux-any
 Depends: libopenscap25 (= ${binary:Version}),
+         python3-docker,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+Suggests: openscap-doc,
 Provides: ${python3:Provides},
 Description: libraries enabling integration of the SCAP line of standards - Python 3 bindings
  OpenSCAP is a set of open source libraries providing an easier path
@@ -122,6 +122,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
+Suggests: openscap-doc,
 Description: libraries enabling integration of the SCAP line of standards - Perl bindings
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -142,9 +143,10 @@
 Package: openscap-scanner
 Architecture: linux-any
 Depends: libopenscap25 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: openscap-common (= ${binary:Version}),
+         openscap-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: openscap-doc,
 Description: OpenScap Scanner Tool (oscap)
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -166,11 +168,12 @@
 Package: openscap-utils
 Architecture: linux-any
 Depends: openscap-scanner (= ${binary:Version}),
+         python3-openscap (= ${binary:Version}),
          rpm,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-Recommends: openscap-common (= ${binary:Version}),
+Suggests: openscap-doc,
 Description: libraries enabling integration of the SCAP line of standards - Utility programs
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -190,6 +193,7 @@
 
 Package: openscap-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Breaks: libopenscap8 (<< 1.3.5),
 Replaces: libopenscap8 (<< 1.3.5),
@@ -209,3 +213,25 @@
   * Open Vulnerability and Assessment Language (OVAL)
  .
  This package contains schema files.
+
+Package: openscap-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: libraries enabling integration of the SCAP line of standards - Documentation
+ OpenSCAP is a set of open source libraries providing an easier path
+ for integration of the SCAP line of standards. SCAP is a line of
+ standards managed by NIST with the goal of providing a standard language
+ for the expression of Computer Network Defense related information.
+ .
+ The intended scope of this project is to implement working interface
+ wrappers for parsing and querying SCAP content including:
+  * Common Vulnerabilities and Exposures (CVE)
+  * Common Configuration Enumeration (CCE)
+  * Common Platform Enumeration (CPE)
+  * Common Vulnerability Scoring System (CVSS)
+  * Extensible Configuration Checklist Description Format (XCCDF)
+  * Open Vulnerability and Assessment Language (OVAL)
+ .
+ This package contains documentation.
