=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 PYVERS=$(shell py3versions --supported --version)
 PERL_VERSION:=$(shell perl -e 'my @ver=split /\./, sprintf("%vd", $$^V); print("$$ver[0].$$ver[1]");')
-CMAKE_OPTS = -DENABLE_DOCS=OFF \
+CMAKE_OPTS = \
+	     -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
+	     -DENABLE_DOCS=ON \
+	     -DENABLE_OSCAP_REMEDIATE_SERVICE=OFF \
 	     -DENABLE_PERL=ON \
 	     -DOPENSCAP_PROBE_UNIX_GCONF=OFF \
 	     -DGCONF_LIBRARY= \
@@ -43,10 +46,8 @@
 
 	find debian/tmp -name "*.la" -delete
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)
-	chrpath -d debian/tmp/usr/bin/oscap
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap.so.*
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap_sce.so.*
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/5.*/openscap_pm.so
+	$(RM) $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.md5 \
+	      $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.map
 
 override_dh_strip:
 	dh_strip -popenscap-scanner --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
@@ -60,7 +61,13 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+# Skip tests when building for 'all'.
+override_dh_auto_test-indep:
+
 override_dh_auto_test:
+	for V in $(PYVERS); do \
+		dh_auto_test --builddir=build-py$$V ; \
+	done
 
 %:
 	dh $@ --with python3
