## openscap 1.3.8+dfsg

=== debian/changelog ===
openscap (1.3.8+dfsg-3) unstable; urgency=medium

  * Update Python BD to support cross-build.
  * Update patch for installing Perl modules, we can now remove some lines
    regarding Perl from d/rules.
  * Properly disable test when only building packages for 'all'.
  * Don't run tests in parallel.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 14 Jul 2023 08:23:57 +0200

openscap (1.3.8+dfsg-2) unstable; urgency=medium

  * Update dependencies for openscap-utils and python3-openscap
    Closes: #1040936

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 13 Jul 2023 07:51:55 +0200

openscap (1.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright notices for changes upstream.
  * Rebase patches.
  * Update library symbols.
  * Remove arguments for debug symbols migration.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 23 Jun 2023 08:05:29 +0200
