=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                libpcre3-dev,
                libperl-dev,
                libpopt-dev,
+               libpython3-all-dev,
                librpm-dev,
                libselinux1-dev [linux-any],
                libxml-parser-perl <!nocheck>,
@@ -29,7 +30,7 @@
                libxslt1-dev,
                libyaml-dev,
                pkg-config,
-               python3-all-dev,
+               python3-all-dev:native,
                swig,
 Build-Depends-Indep: asciidoc,
                      doxygen,
