=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 PYVERS=$(shell py3versions --supported --version)
-PERL_VERSION:=$(shell perl -e 'my @ver=split /\./, sprintf("%vd", $$^V); print("$$ver[0].$$ver[1]");')
 CMAKE_OPTS = \
 	     -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 	     -DENABLE_DOCS=ON \
@@ -15,7 +14,6 @@
 	     -DENABLE_PERL=ON \
 	     -DOPENSCAP_PROBE_UNIX_GCONF=OFF \
 	     -DGCONF_LIBRARY= \
-	     -DPERL_VERSION=$(PERL_VERSION) \
 	     -DPYTHON_EXECUTABLE=/usr/bin/python$$V
 
 override_dh_auto_clean:
@@ -45,15 +43,8 @@
 	done
 
 	find debian/tmp -name "*.la" -delete
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)
 	$(RM) $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.md5 \
 	      $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.map
-
-override_dh_strip:
-	dh_strip -popenscap-scanner --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
-	dh_strip -plibopenscap25 --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
-	dh_strip -ppython3-openscap --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
-	dh_strip -plibopenscap-perl --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
 
 override_dh_python3:
 	dh_python3 -popenscap-utils -ppython3-openscap --shebang=/usr/bin/python3
@@ -64,9 +55,9 @@
 # Skip tests when building for 'all'.
 override_dh_auto_test-indep:
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	for V in $(PYVERS); do \
-		dh_auto_test --builddir=build-py$$V ; \
+		dh_auto_test --no-parallel --builddir=build-py$$V ; \
 	done
 
 %:
