## openscap 1.3.9%2Bdfsg

=== tests/API/CVE/CMakeLists.txt ===
add_oscap_test_executable(test_api_cve "test_api_cve.c")
add_oscap_test("test_api_cve.sh")
